curl --request POST \
--url https://api.tilta.io/v1/payout_instructions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "8b9f1f4c-2e2a-4a8c-9d51-1b3a3a2c8e9d",
"merchant_external_id": "merchant_id1",
"type": "SEPA",
"beneficiary_name": "ACME Distribution GmbH",
"iban": "DE00123456781234567890",
"bic": "DEUTDEDB"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '8b9f1f4c-2e2a-4a8c-9d51-1b3a3a2c8e9d',
merchant_external_id: 'merchant_id1',
type: 'SEPA',
beneficiary_name: 'ACME Distribution GmbH',
iban: 'DE00123456781234567890',
bic: 'DEUTDEDB'
})
};
fetch('https://api.tilta.io/v1/payout_instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/payout_instructions"
payload = {
"external_id": "8b9f1f4c-2e2a-4a8c-9d51-1b3a3a2c8e9d",
"merchant_external_id": "merchant_id1",
"type": "SEPA",
"beneficiary_name": "ACME Distribution GmbH",
"iban": "DE00123456781234567890",
"bic": "DEUTDEDB"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/payout_instructions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'external_id' => '8b9f1f4c-2e2a-4a8c-9d51-1b3a3a2c8e9d',
'merchant_external_id' => 'merchant_id1',
'type' => 'SEPA',
'beneficiary_name' => 'ACME Distribution GmbH',
'iban' => 'DE00123456781234567890',
'bic' => 'DEUTDEDB'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"external_id": "8b9f1f4c-2e2a-4a8c-9d51-1b3a3a2c8e9d",
"beneficiary_name": "<string>",
"is_verified": false,
"created_at": 1582896122,
"updated_at": 1582896122,
"type": "SEPA",
"iban": "DE03500105177178979259",
"bic": "DEUTDEFF"
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Create a payout instruction
Register the bank account Tilta pays out to when a merchant’s invoice is captured and financed.
Authorizations
Your Tilta API key, sent as Bearer <key>.
Body
- Option 1
- Option 2
- Option 3
SEPA payout instruction.
Unique identifier of a payout instruction.
"8b9f1f4c-2e2a-4a8c-9d51-1b3a3a2c8e9d"
Unique identifier of the merchant the payout instruction belongs to.
"merchant_id1"
SEPA "ACME Distribution GmbH"
"DE00123456781234567890"
"DEUTDEDB"
Response
- Option 1
- Option 2
- Option 3
A SEPA payout instruction.
Unique identifier of a payout instruction.
"8b9f1f4c-2e2a-4a8c-9d51-1b3a3a2c8e9d"
Whether this payout instruction has been verified by Tilta and is therefore eligible for use in actual payouts. Newly created or replaced payout instructions are unverified and must be verified by Tilta out-of-band before they can be used operationally.
false
Timestamp in unix time (seconds).
1582896122
Timestamp in unix time (seconds).
1582896122
SEPA "DE03500105177178979259"
"DEUTDEFF"